package com.ecep.contract.controller.table.cell;

import static com.ecep.contract.SpringApp.getBean;

import com.ecep.contract.model.ContractGroup;
import com.ecep.contract.service.ContractGroupService;
import com.ecep.contract.service.IEntityService;

public class ContractGroupTableCell<V> extends AsyncUpdateTableCell<V, ContractGroup> {
    public ContractGroupTableCell() {
    }

    public ContractGroupTableCell(ContractGroupService service) {
        setService(service);
    }

    @Override
    protected IEntityService<ContractGroup> getServiceBean() {
        return getBean(ContractGroupService.class);
    }
}
